Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.secure.internal
Class JACCPermissions

    java.lang.Object
      org.hibernate.secure.internal.JACCPermissions

    public class JACCPermissions

extends Object

Copied from JBoss org.jboss.ejb3.security.JaccHelper and org.jboss.ejb3.security.SecurityActions

Constructor Summary
`JACCPermissions()`

Method Summary
`static void` | `checkPermission(Class clazz, String contextID, EJBMethodPermission methodPerm)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPermissions

    public JACCPermissions()

Method Detail

### checkPermission

    public static void checkPermission(Class clazz,
                                       String contextID,
                                       EJBMethodPermission methodPerm)
                                throws SecurityException

  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.